/*
 *  Copyright 2011 RoboViz
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package rv.ui.view;

import java.awt.event.KeyListener;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;
import java.awt.event.MouseWheelListener;
import javax.media.opengl.awt.GLCanvas;

/**
 * Interface that allows customized control over the camera
 * 
 * @author justin
 * 
 */
public interface CameraController extends MouseListener, MouseMotionListener, MouseWheelListener,
        KeyListener {
    public void attachToCanvas(GLCanvas canvas);

    public void detachFromCanvas(GLCanvas canvas);

    public void update(double elapsedMS);
}
